package com.gigachatwoot.connectors.chatwoot.controllers;

import lombok.extern.slf4j.Slf4j;
import com.gigachatwoot.connectors.chatwoot.models.ChatwootWebhookPayload;
import com.gigachatwoot.connectors.chatwoot.services.ChatwootWebhookService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@Slf4j
@RestController
@RequestMapping("/chatwoot")
public class ChatwootWebhookController {

    private final ChatwootWebhookService chatwootWebhookService;

    @Autowired
    public ChatwootWebhookController(ChatwootWebhookService chatwootWebhookService) {
        this.chatwootWebhookService = chatwootWebhookService;
    }

    @PostMapping("/webhook")
    public void handleWebhook(@RequestBody ChatwootWebhookPayload payload) {
        chatwootWebhookService.handleWebhook(payload);
    }
}
