package com.gigachatwoot.connectors.chatwoot.models;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.util.List;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChatwootMessagesResponse {

    @JsonProperty("meta")
    private Meta meta;

    @JsonProperty("payload")
    private List<ChatMessage> payload;

    @Data
    @JsonIgnoreProperties(ignoreUnknown = true)
    public static class Meta {
        private List<Object> labels;
        private AdditionalAttributes additionalAttributes;
        private Contact contact;
        private String agentLastSeenAt;
        private String assigneeLastSeenAt;

        @Data
        @JsonIgnoreProperties(ignoreUnknown = true)
        public static class AdditionalAttributes {
            private Browser browser;
            private String referer;
            private InitiatedAt initiatedAt;
            private String browserLanguage;

            @Data
            @JsonIgnoreProperties(ignoreUnknown = true)
            public static class Browser {
                private String deviceName;
                private String browserName;
                private String platformName;
                private String browserVersion;
                private String platformVersion;
            }

            @Data
            @JsonIgnoreProperties(ignoreUnknown = true)
            public static class InitiatedAt {
                private String timestamp;
            }
        }

        @Data
        @JsonIgnoreProperties(ignoreUnknown = true)
        public static class Contact {
            private Object additionalAttributes;
            private Object customAttributes;
            private String email;
            private Long id;
            private String identifier;
            private String name;
            private String phoneNumber;
            private String thumbnail;
            private String type;
        }
    }
}

