package com.gigachatwoot.connectors.llm.models;

import jakarta.validation.constraints.NotNull;
import lombok.*;
import org.springframework.context.annotation.PropertySource;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Getter
@Setter(AccessLevel.NONE)
@Component
@PropertySource("classpath:application.yml")
public class GigaChatAuthRequestModel {
    @Value("${gigachat.uuid}")
    @NotNull(message = "RqUID is required. Please generate it using UUID4 format.")
    private String rquid;

    @Value("${gigachat.authorization}")
    @NotNull(message = "Authorization string is required.")
    private String authorization;
}
