package com.gigachatwoot.connectors.llm.strategy;

import com.fasterxml.jackson.databind.JsonNode;
import com.gigachatwoot.connectors.chatwoot.models.ChatMessage;
import com.gigachatwoot.connectors.llm.dto.GigaChatRequestDTO;
import com.gigachatwoot.connectors.llm.mapper.UnirestMapper;
import jakarta.validation.constraints.NotNull;
import lombok.RequiredArgsConstructor;

import java.util.List;

@RequiredArgsConstructor
public abstract class LLMConnectorStrategy {
    protected final UnirestMapper objectMapper;

    public abstract String getLLMAnswer();

    protected String messageToString(@NotNull String systemPrompt, @NotNull List<ChatMessage> messageHistory) {
        GigaChatRequestDTO output = new GigaChatRequestDTO(systemPrompt, messageHistory);

        return objectMapper.writeValue(output);
    }

    protected String parseLLMContent(@NotNull JsonNode response) {
        return response.findValue("content").textValue();
    }
}
